summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErik Mackdanz <stasibear@gentoo.org>2019-04-13 21:16:04 -0500
committerErik Mackdanz <stasibear@gentoo.org>2019-04-13 21:16:04 -0500
commit40ed64c18186c8a8ac63d9e92ef51914de4a3caa (patch)
treec095ea46eec65b17c1b3fb01e6f8541844c2c9e7 /games-roguelike
parentdev-python/click: arm64 keyworded (bug #668990) (diff)
downloadgentoo-40ed64c18186c8a8ac63d9e92ef51914de4a3caa.tar.gz
gentoo-40ed64c18186c8a8ac63d9e92ef51914de4a3caa.tar.bz2
gentoo-40ed64c18186c8a8ac63d9e92ef51914de4a3caa.zip
games-roguelike/stone-soup: Bump to 0.23.2, many ebuild updates
- Use system lua (unbundle) - Add USE sound - Remove broken USE luajit - EAPI=7 - Fix missing pyyaml dep - Install man page Closes: https://bugs.gentoo.org/682312 Signed-off-by: Erik Mackdanz <stasibear@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.12
Diffstat (limited to 'games-roguelike')
-rw-r--r--games-roguelike/stone-soup/Manifest1
-rw-r--r--games-roguelike/stone-soup/metadata.xml4
-rw-r--r--games-roguelike/stone-soup/stone-soup-0.23.2.ebuild147
3 files changed, 152 insertions, 0 deletions
diff --git a/games-roguelike/stone-soup/Manifest b/games-roguelike/stone-soup/Manifest
index ce8d9856e02..c460cc8cf0e 100644
--- a/games-roguelike/stone-soup/Manifest
+++ b/games-roguelike/stone-soup/Manifest
@@ -2,3 +2,4 @@ DIST stone-soup.png 1351 BLAKE2B cc31abd59701aa6f0fb0bdcd90630ceebf7b3cb8b60f0e2
DIST stone-soup.svg 68546 BLAKE2B 7c66286c9e8a3516e8483b3edb628a59fce29d8d248c3fd5b06e308782bbc651814f21ec958b30c36074a2576ced4bb10f291b5236da6f6e865ce1d7cefdf96d SHA512 dca555271faf704eb8ecdf5ee8a763df42cdeba94e9c163608c438cfc73c6fbf53416547050cad57f477ade191842e701785b65b7a9f18e27ceab05df8f2f75f
DIST stone_soup-0.22.0.tar.xz 29263688 BLAKE2B e0a4d6953677583fafe1fce037d4d484c821b4d8782c63fa90b6b4f5db3df7b8fd4c5e843740517a7c2321f864df2a346fcd9bc69a1446c74685afc239d1fc55 SHA512 e8daa0f66a5212b116ce997b30b8f0f9ef01cef7e1213a1b6fe17c800d44fa7e318624902ce638dee79027ffaa3a4af8a10f6552de756a2045b5919d817498bd
DIST stone_soup-0.23.0.tar.xz 29899848 BLAKE2B 138f3c9fe1ad395d05d0654ea42788c6312e92839c6b92edfa538123b8b566f62d263862b05c6da64d589938c820b876e12475b0eeb16af7dd2e3f62c441eecb SHA512 6b53b5d670130aac451d09fe842e7654f61c131d126b34ed729d4542e9d2cbe2beaa6cd5f0b2bb78744ae6c643040996e39db8b0b3840c8946e442aaff54ff58
+DIST stone_soup-0.23.2.tar.xz 30157732 BLAKE2B 5d264fa33abeb2254efbdef461774c987f65ef28160d43d90848b77d46a8f0e63c4e59a9cb7257257551a08c509e53758d72acbb0edf5a0e8b70e5d3ca09ea14 SHA512 61ccb0ac262a798e7c06fdb5e821c9885a690e082c33f6255358561929d6800b272106632279d27320e8ae240d903e2002f59d908d5db4841065a5cfa97bbee8
diff --git a/games-roguelike/stone-soup/metadata.xml b/games-roguelike/stone-soup/metadata.xml
index 68e84b34cc4..ec38a399560 100644
--- a/games-roguelike/stone-soup/metadata.xml
+++ b/games-roguelike/stone-soup/metadata.xml
@@ -1,6 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
+ <maintainer type="person">
+ <email>stasibear@gentoo.org</email>
+ <name>Erik Mackdanz</name>
+ </maintainer>
<maintainer type="project">
<email>games@gentoo.org</email>
<name>Gentoo Games Project</name>
diff --git a/games-roguelike/stone-soup/stone-soup-0.23.2.ebuild b/games-roguelike/stone-soup/stone-soup-0.23.2.ebuild
new file mode 100644
index 00000000000..9ac6df9654a
--- /dev/null
+++ b/games-roguelike/stone-soup/stone-soup-0.23.2.ebuild
@@ -0,0 +1,147 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# TODO
+# - attempt +test, linked bug claims to be fixed
+
+EAPI=7
+VIRTUALX_REQUIRED="manual"
+inherit desktop eutils xdg-utils toolchain-funcs
+
+MY_P="stone_soup-${PV}"
+DESCRIPTION="Role-playing roguelike game of exploration and treasure-hunting in dungeons"
+HOMEPAGE="http://crawl.develz.org/wordpress/"
+SRC_URI="
+ https://crawl.develz.org/release/$(ver_cut 1-2)/${PN/-/_}-${PV}.tar.xz
+ https://dev.gentoo.org/~hasufell/distfiles/${PN}.png
+ https://dev.gentoo.org/~hasufell/distfiles/${PN}.svg
+"
+
+# 3-clause BSD: mt19937ar.cc, MSVC/stdint.h
+# 2-clause BSD: all contributions by Steve Noonan and Jesse Luehrs
+# Public Domain|CC0: most of tiles
+# MIT: json.cc/json.h, some .js files in webserver/static/scripts/contrib/
+LICENSE="GPL-2 BSD BSD-2 public-domain CC0-1.0 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug ncurses sound test +tiles"
+# test is broken
+# see https://crawl.develz.org/mantis/view.php?id=6121
+RESTRICT="test"
+
+RDEPEND="
+ dev-db/sqlite:3
+ =dev-lang/lua-5.1*:0=
+ sys-libs/zlib
+ !ncurses? ( !tiles? ( sys-libs/ncurses:0 ) )
+ ncurses? ( sys-libs/ncurses:0 )
+ tiles? (
+ media-fonts/dejavu
+ media-libs/freetype:2
+ media-libs/libpng:0
+ sound? (
+ media-libs/libsdl2[X,opengl,sound,video]
+ media-libs/sdl2-mixer
+ )
+ !sound? ( media-libs/libsdl2[X,opengl,video] )
+ media-libs/sdl2-image[png]
+ virtual/glu
+ virtual/opengl
+ )"
+DEPEND="${RDEPEND}
+ dev-lang/perl
+ dev-python/pyyaml
+ sys-devel/flex
+ tiles? (
+ sys-libs/ncurses:0
+ )
+ virtual/pkgconfig
+ virtual/yacc
+ "
+
+S=${WORKDIR}/${MY_P}/source
+S_TEST=${WORKDIR}/${MY_P}_test/source
+PATCHES=(
+ "${FILESDIR}"/rltiles-ldflags-libs.patch
+)
+
+pkg_setup() {
+ if use !ncurses && use !tiles ; then
+ ewarn "Neither ncurses nor tiles frontend"
+ ewarn "selected, choosing ncurses only."
+ ewarn "Note that you can also enable both."
+ fi
+
+ if use sound && use !tiles ; then
+ ewarn "Sound support is only available with tiles."
+ fi
+}
+
+src_compile() {
+ export HOSTCXX=$(tc-getBUILD_CXX)
+
+ # leave DATADIR at the top
+ myemakeargs=(
+ $(usex debug "FULLDEBUG=y DEBUG=y" "")
+ BUILD_LUA=
+ AR="$(tc-getAR)"
+ CFOPTIMIZE=''
+ CFOTHERS="${CXXFLAGS}"
+ CONTRIBS=
+ DATADIR="/usr/share/${PN}"
+ GCC="$(tc-getCC)"
+ GXX="$(tc-getCXX)"
+ LDFLAGS="${LDFLAGS}"
+ MAKEOPTS="${MAKEOPTS}"
+ PKGCONFIG="$(tc-getPKG_CONFIG)"
+ RANLIB="$(tc-getRANLIB)"
+ SAVEDIR="~/.crawl"
+ SOUND=$(usex sound "y" "")
+ STRIP=touch
+ USE_LUAJIT=
+ V=1
+ prefix="/usr"
+ )
+
+ if use ncurses || (use !ncurses && use !tiles) ; then
+ emake "${myemakeargs[@]}"
+ # move it in case we build both variants
+ use tiles && { mv crawl "${WORKDIR}"/crawl-ncurses || die ;}
+ fi
+
+ if use tiles ; then
+ emake clean
+ emake "${myemakeargs[@]}" "TILES=y"
+ fi
+}
+
+src_install() {
+ emake "${myemakeargs[@]}" $(usex tiles "TILES=y" "") DESTDIR="${D}" prefix_fp="" bin_prefix="${D}/usr/bin" install
+ [[ -e "${WORKDIR}"/crawl-ncurses ]] && dobin "${WORKDIR}"/crawl-ncurses
+
+ # don't relocate docs, needed at runtime
+ rm -rf "${D}/usr/share/${PN}"/docs/license
+
+ doman "${WORKDIR}/${MY_P}"/docs/crawl.6
+
+ # icons and menu for graphical build
+ if use tiles ; then
+ doicon -s 48 "${DISTDIR}"/${PN}.png
+ doicon -s scalable "${DISTDIR}"/${PN}.svg
+ make_desktop_entry crawl
+ fi
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+
+ if use tiles && use ncurses ; then
+ elog "Since you have enabled both tiles and ncurses frontends"
+ elog "the ncurses binary is called 'crawl-ncurses' and the"
+ elog "tiles binary is called 'crawl'."
+ fi
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}